<?php

$form['title']    = 'Email Template';
$form['description']  = '';
$form['name']    = 'gdpr_email_template';
$form['action']   = 'gdpr_email_template_edit.php';
$form['db_table']  = 'gdpr_email_templates';
$form['db_table_idx'] = 'gdpr_email_template_id';
$form['db_history']  = 'no';
$form['tab_default'] = 'template';
$form['list_default'] = 'gdpr_email_template_list.php';
$form['auth']   = 'yes';

$form['auth_preset']['userid']  = 0; // 0 = id of the user, > 0 id must match with id of current user
$form['auth_preset']['groupid'] = 0; // 0 = default groupid of the user, > 0 id must match with groupid of current user
$form['auth_preset']['perm_user'] = 'riud'; //r = read, i = insert, u = update, d = delete
$form['auth_preset']['perm_group'] = 'riud'; //r = read, i = insert, u = update, d = delete
$form['auth_preset']['perm_other'] = ''; //r = read, i = insert, u = update, d = delete

$form['tabs']['template'] = array (
	'title'  => 'Template',
	'width'  => 100,
	'template'  => 'templates/gdpr_email_template_edit.htm',
	'fields'  => array (
		'company_id' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'SELECT',
			'default' => '',
			'value'  => '',
			'separator' => '',
			'width'  => '30',
			'maxlength' => '255',
			'rows'  => '',
			'cols'  => '',
			'validators' => array ( 
				0 => array ( 'type'	=> 'NOTEMPTY', 'errmsg'=> 'company_error_empty'),
			),  
		),
		'description' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT',
			'default' => '',
			'value'  => '',
			'separator' => '',
			'width'  => '30',
			'maxlength' => '255',
			'rows'  => '',
			'cols'  => '',
			'validators' => array ( 
				0 => array ( 'type'	=> 'NOTEMPTY', 'errmsg'=> 'description_error_empty'),
			),  
		),
		'subject' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT',
			'default' => '',
			'value'  => '',
			'separator' => '',
			'width'  => '30',
			'maxlength' => '50',
			'rows'  => '',
			'cols'  => ''
		),
		'text' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT',
			'default' => '',
			'value'  => '',
			'separator' => '',
			'width'  => '30',
			'maxlength' => '255',
			'rows'  => '',
			'cols'  => ''
		),
        'lng' => array (
            'datatype'  => 'VARCHAR',
            'formtype'  => 'SELECT',
            'default'   => 'en'
        ),
		'master' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'CHECKBOX',
			'default' => 'n',
			'value'  => array(0 => 'n', 1 => 'y')
		),
	)
);

?>
