<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$tform_def_file = 'form/gdpr_settings.tform.php';

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

/*$lng_file = 'lib/lang/'.$_SESSION['s']['language'].'_gdpr_about.lng';
include $lng_file;
$app->tpl->setVar($wb);
*/

class page_action extends tform_actions {

	function onShowEnd() {
		global $app;

		$app->uses('gdpr_functions_html');
		$app->gdpr_functions_html->get_version();
		$app->tpl->setVar('db_version', $app->db->queryOneRecord('SELECT rev FROM gdpr_settings WHERE gdpr_settings_id = 1')['rev']);
		parent::onShowEnd();
	}

	function onSubmit() {
		global $app;

		$this->dataRecord['version'] = $app->db->queryOneRecord("SELECT version FROM gdpr_settings WHERE gdpr_settings_id = 1")['version'];
		parent::onSubmit();
	}
}

$page = new page_action;
$page->onLoad();

?>
