<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

if(!$app->auth->is_admin()) die('only allowed for administrators.');

$app->auth->check_module_permissions('gdpr');

$app->uses('gdpr_functions_update');

$action = $_POST['action'];

if (isset($action) && $action == 'update') {
	$json=$app->gdpr_functions_update->gdpr_update();
	$json = $app->functions->json_encode($json);
	header('Content-type: application/json');
	echo $json;
} elseif (isset($action) && $action == 'status') {
	$json=$app->gdpr_functions_update->gdpr_update(true);
	$json = $app->functions->json_encode($json);
	header('Content-type: application/json');
	echo $json;
} else {
	die ("no action");
}

?>
