<?php
global $app;
if($_SESSION['s']['user']['typ'] == 'admin') {
	$liste["name"]     = "gdpr_admin";
} else {
	$liste["name"]     = "gdpr";
}
$app->uses('gdpr_functions');


$liste["table"]    = "gdpr_contract";
$liste["table_idx"]   = "gdpr_contract_id";
$liste["search_prefix"]  = "search_";
$liste["records_per_page"]  = "15";
$liste["file"]    = "gdpr_list.php";
$liste["edit_file"]   = "gdpr_sign.php";
$liste["delete_file"]  = "gdpr_del.php";
$liste["paging_tpl"]  = "templates/paging.tpl.htm";
$liste["auth"]    = "yes";

if($_SESSION['s']['user']['typ'] == 'admin') {
	$liste["item"][] = array( 
		'field'  => "sys_groupid",
			'datatype' => "INTEGER",
			'formtype' => "SELECT",
			'op'  => "=",
			'prefix' => "",
			'suffix' => "",
			'datasource' => array (  'type' => 'SQL',
				'querystring' =>  "SELECT sys_group.groupid, CONCAT(IF(client.company_name != '', CONCAT(client.company_name, ' :: '), ''), client.contact_name) as name FROM sys_group, client WHERE sys_group.groupid != 1 AND sys_group.client_id = client.client_id AND groupid in (SELECT `sys_groupid` FROM gdpr_contract) ORDER BY company_name,contact_name",
				'keyfield'=> 'groupid',
				'valuefield'=> 'name'
			),
			'width'  => "",
			'value'  => ""
	);
	$liste['item'][] = array( 
		'field' => 'sign_ip',
		'datatype' => 'VARCHAR',
		'formtype' => 'TEXT',
		'op' => 'like',
		'prefix' => '%',
		'suffix' => '%',
		'width' => '',
		'value' => ''
	);
	$liste['item'][] = array( 
		'field' => 'del_ip',
		'datatype' => 'VARCHAR',
		'formtype' => 'TEXT',
		'op' => 'like',
		'prefix' => '%',
		'suffix' => '%',
		'width' => '',
		'value' => ''
	);
	$liste['item'][] = array( 
		'field' => 'deleted',
		'datatype' => 'DATETIME',
		'formtype' => 'TEXT',
		'op' => 'like',
		'prefix' => '%',
		'suffix' => '%',
		'width' => '',
		'value' => ''
	);
	$liste['item'][] = array( 
		'field'  => 'company_id',
		'datatype' => 'INTEGER',
		'formtype' => 'SELECT',
		'op' => '=',
		'prefix' => '',
		'suffix' => '',
		'datasource'=> array ('type' => 'SQL',
			'querystring' => "SELECT gdpr_company_id, company_short FROM gdpr_company",
			'keyfield'		=> 'gdpr_company_id',
			'valuefield'	=> 'company_short'
		),
		'width' => ''
	);
}

$liste['item'][] = array( 
	'field' => 'state',
	'datatype' => 'VARCHAR',
	'formtype' => 'SELECT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value'  => array('pending' => $app->lng('state_pending_txt'), 'signed' => $app->lng('state_signed_txt'), 'deleted' => $app->lng('state_deleted_txt'), 'pdf_failed' => $app->lng('state_pdf_failed_txt'),'upload' => $app->lng('state_upload_txt'))
);

$liste['item'][] = array( 
	'field' => 'signed',
	'datatype' => 'DATETIME',
	'formtype' => 'TEXT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value' => ''
);

$liste['item'][] = array( 
	'field' => 'filename',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value' => ''
);

$liste['item'][] = array( 
	'field' => 'del_ip',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value' => ''
);
$liste['item'][] = array( 
	'field' => 'contract_type',
	'datatype' => 'VARCHAR',
	'formtype' => 'SELECT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value'  => array('system' => $app->lng('contract_system_txt'), 'own' => $app->lng('contract_own_txt'))
);
$liste['item'][] = array( 
	'field' => 'dscription',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value' => ''
);

?>
