<?php

$liste['name']     = 'gdpr_company';
$liste['table']    = 'gdpr_company';
$liste['table_idx']   = 'gdpr_company_id';
$liste['search_prefix']  = 'search_';
$liste['records_per_page']  = 15;
$liste['file']    = 'gdpr_company_list.php';
$liste['edit_file']   = 'gdpr_company_edit.php';
$liste['delete_file']  = 'gdpr_company_del.php';
$liste['paging_tpl']  = 'templates/paging.tpl.htm';
$liste['auth']    = 'yes';

$liste['item'][] = array( 
	'field'  => "sys_groupid",
		'datatype' => "INTEGER",
		'formtype' => "SELECT",
		'op'  => "=",
		'prefix' => "",
		'suffix' => "",
		'datasource' => array (  'type' => 'SQL',
			'querystring' =>  "SELECT sys_group.groupid, CONCAT(IF(client.company_name != '', CONCAT(client.company_name, ' :: '), ''), client.contact_name) as name FROM sys_group, client WHERE sys_group.groupid != 1 AND sys_group.client_id = client.client_id AND groupid in (SELECT `sys_groupid` FROM gdpr_company) ORDER BY company_name,contact_name",
			'keyfield'=> 'groupid',
			'valuefield'=> 'name'
		),
		'width'  => "",
		'value'  => ""
	);
$liste['item'][] = array( 
	'field'  => 'gdpr_company_id',
	'datatype' => 'INTEGER',
	'formtype' => 'TEXT',
	'op'  => '=',
	'prefix' => '',
	'suffix' => '',
	'width'  => '',
	'value'  => ''
);

$liste['item'][] = array( 
	'field'  => 'company_short',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op'  => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width'  => '',
	'value'  => ''
);

$liste['item'][] = array( 
	'field'  => 'ceo_name',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op'  => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width'  => '',
	'value'  => ''
);
?>
