<?php
/*
  This file contains various parameters for the stored_data.
  If you want to change thes evalues, make a copy of this file named
  stored_data-custom.conf.php and change the values inside that file.
*/

$stored_data_conf = array();

//* Fonts
$stored_data_conf['font_name'] = 'DejaVuSansCondensed';
$stored_data_conf['font_normal_file'] = 'DejaVuSansCondensed.ttf';
$stored_data_conf['font_bold_file'] = 'DejaVuSansCondensed-Bold.ttf';

$stored_data_conf['font_size'] = '10';
$stored_data_conf['font_size_h1'] = '20';
$stored_data_conf['font_size_h2'] = '16';

//* Parameters for stored_data details
$stored_data_conf['stored_data_details_fill_color'] = 0; // 220 = light grey
$stored_data_conf['stored_data_details_fill_background'] = 0;  // Values: 0/1

//* Parameters for address details
$stored_data_conf['stored_data_adressbox_head_border'] = 'B';
$stored_data_conf['stored_data_adressbox_border'] = '0';

//* Set widths and aligns of stored_data item columns
$stored_data_conf['stored_data_column_widths'] = '60,120';
$stored_data_conf['stored_data_column_aligns'] = 'L,L';

//* Watermark-Settings
$stored_data_conf['center_watermark'] = true;
$stored_data_conf['repeat_watermark'] = false;
$gdpr_conf['watermark_colour'] = '200';

//* Logo-Settings
$stored_data_conf['max_logo_width'] = 300;
$stored_data_conf['max_logo_height'] = 100;

//* Signature-Settings
$gdpr_conf['max_signature_width'] = 300; // 0 for original size
$gdpr_conf['max_signature_height'] = 300; // 0 for original size
$gdpr_conf['max_signature_width'] = 0;
$gdpr_conf['max_signature_height'] = 0; // 0 for original size
?>

