<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

class gdpr_module {
	var $module_name = 'gdpr_module';
	var $class_name = 'gdpr_module';
	var $actions_available = array(
		'gdpr_update'
	);

    function onInstall() {
		return true;
    }

	function onLoad() {
		global $app;

		$app->plugins->announceEvents($this->module_name, $this->actions_available);
		$app->modules->registerTableHook('gdpr_action', 'gdpr_module', 'process');
	}

    
	function process($tablename, $action, $data) {
		global $app;

		switch ($tablename) {
			case 'gdpr_action':
				if($action == 'i') $app->plugins->raiseEvent('gdpr_update', $data);
				break;
		}
	} 
}
?>
