<?php

$form['title']    = 'GDPR client settings';
$form['description']  = '';
$form['name']    = 'gdpr_client_settings';
$form['action']   = 'gdpr_client_settings_edit.php';
$form['db_table']  = 'gdpr_client_settings';
$form['db_table_idx'] = 'client_id';
$form['db_history']  = 'no';
$form['tab_default'] = 'settings';
$form['list_default'] = 'client_list.php';
$form['auth']   = 'yes';

$form['auth_preset']['userid']  = 0;
$form['auth_preset']['groupid'] = 0;
$form['auth_preset']['perm_user'] = 'riud';
$form['auth_preset']['perm_group'] = 'riud';
$form['auth_preset']['perm_other'] = '';

$client_id = intval($_GET['id']);

$form['tabs']['settings'] = array (
	'title'  => 'Settings',
	'width'  => 100,
	'template'  => 'templates/gdpr_client_settings.htm',
	'fields'  => array (
		'gdpr_company_id' => array (
			'datatype' => 'INTEGER',
			'formtype' => 'SELECT',
			'default' => '0',
			'datasource' => array (  'type' => 'SQL',
				'querystring' => 'SELECT gdpr_company_id, company_short FROM gdpr_company WHERE {AUTHSQL} ORDER BY company_name',
				'keyfield'=> 'gdpr_company_id',
				'valuefield'=> 'company_short'
			),
			'value'  => ''
		),
		'gdpr_email' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT',
			'default' => '',
			'value'  => '',
			'separator' => '',
			'width'  => '30',
			'maxlength' => '255',
			'rows'  => '',
			'cols'  => ''
		),
		'gdpr_show_contact_name' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'CHECKBOX',
			'default' => 'n',
			'value'  => array(0 => 'n', 1 => 'y')
		),
		'allow_own' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'CHECKBOX',
			'default' => 'n',
			'value'  => array(0 => 'n', 1 => 'y')
		),
	)
);



?>
