<?php

/*
Copyright (c) 2016, Florian Schaal, schaal @it
All rights reserved.
*/

$form['title']    = 'Settings';
$form['description']  = '';
$form['name']    = 'gdpr_settings';
$form['action']   = 'gdpr_settings.php';
$form['db_table']  = 'gdpr_settings';
$form['db_table_idx'] = 'gdpr_settings_id';
$form['db_history']  = 'no';
$form['tab_default'] = 'settings';
$form['list_default'] = 'gdpr_list.php';
$form['auth']   = 'yes';
$form['auth_preset']['userid']  = 0;
$form['auth_preset']['groupid'] = 0;
$form['auth_preset']['perm_user'] = 'riud';
$form['auth_preset']['perm_group'] = 'riud';
$form['auth_preset']['perm_other'] = '';

$form['tabs']['settings'] = array (
	'title'  => 'Settings',
	'width'  => 100,
	'template'  => 'templates/gdpr_settings.htm',
	'fields'  => array (
		'date_format' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT',
			'width'  => '30',
			'maxlength' => '255',
			'searchable' => 1
		),
		'pdf_dir' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT',
			'width'  => '30',
			'maxlength' => '255',
			'searchable' => 1
		),
		'db_store' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'CHECKBOX',
			'default' => 'n',
			'value'  => array(0 => 'n', 1 => 'y')
		),
		'add_client' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'CHECKBOX',
			'default' => 'n',
			'value'  => array(0 => 'n', 1 => 'y')
		),
		'version' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT'
		),
		'serial' => array (
			'datatype' => 'VARCHAR',
			'formtype' => 'TEXT',
			'validators' => array (
				0 => array ( 'type' => 'CUSTOM', 'class' => 'gdpr_functions', 'function' => 'validate_key','errmsg'=> 'serial_error'),
			),
		),
	)
);

?>
