<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$tform_def_file = 'form/gdpr_admin.tform.php';

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions,tools_sites');
$app->load('tform_actions');

class page_action extends tform_actions {

	function onShowEnd() {
		global $app;

		$app->uses('gdpr_functions_html');

        $app->gdpr_functions_html->client_list($this->dataRecord);

		parent::onShowEnd();
	}

	function onSubmit() {
		global $app;

		$oldDataRecord=$app->db->queryOneRecord("SELECT * FROM gdpr_contract WHERE gdpr_contract_id = ?", $this->id);
		if($this->dataRecord['state'] != $oldDataRecord['state'] && $this->dataRecord['contract_type'] != 'system') {
			if($oldDataRecord['state'] == 'upload') $app->error($app->lng('error_no_state_change'));
			if($this->dataRecord['state'] == 'upload') $app->error($app->lng('error_no_state_change2'));
		}

		parent::onSubmit();
	}
}

$page = new page_action;
$page->onLoad();
?>
