<?php

/*
Copyright (c) 2018, Florian Schaal, schaal @it UG
All rights reserved.
*/

$list_def_file = 'list/gdpr_stored_data.list.php';
$tform_def_file = 'form/gdpr_stored_data.tform.php';

require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

$app->auth->check_module_permissions('gdpr');

$app->uses('tpl,tform,tform_actions');
$app->load('tform_actions');

class page_action extends tform_actions {

	function onBeforeDelete() {
		global $app;
		$app->uses('gdpr_functions');

		if(!$app->auth->is_admin()) {
			$app->error($app->lng('error_no_delete_permission'));
		} else  {
			@unlink($app->gdpr_functions->get_filename($this->dataRecord['filename']));
		}
	}
	
}
$page = new page_action;
$page->onDelete();
?>
