<?php
global $app;
$app->uses('gdpr_functions');
$valid=$app->gdpr_functions->check_license();

if ($_SESSION['s']['user']['typ'] != 'admin' && $app->auth->has_clients($_SESSION['s']['user']['userid'])) $reseller = true; else $reseller = false;
if ($_SESSION['s']['user']['typ'] == 'admin') $admin = true; else $admin = false;
$allow_own=$app->gdpr_functions->allow_own();

$reseller = false;

$module['name'] = 'gdpr';
$module['title'] = 'GDPR';
$module['template'] = 'module.tpl.htm';
$module['startpage'] = 'gdpr/gdpr_list.php';
$module['tab_width'] = '';
$module['order'] = '50';

if($admin || $reseller) {
	if($valid) {
		$items[] = array( 'title'  => 'Client list',
			'target'  => 'content',
			'link' => 'gdpr/client_list.php'
		);
		$items[] = array( 'title'  => 'Add Client',
			'target'  => 'content',
			'link' => 'client/client_edit.php'
		);
	}
	$module['nav'][] = array( 'title' => 'Client',
		'open'  => 1,
		'items' => $items
	);
}
unset($items);

if($valid) {
$items[] = array( 
	'title'   => 'contracts',
	'target'  => 'content',
	'link'    => 'gdpr/gdpr_list.php'
);
	if($admin || $reseller) {
		if($allow_own) {
			$items[] = array( 'title'  => 'Add Contract',
				'target'  => 'content',
				'link' => 'gdpr/gdpr_sign.php'
			);
			$items[] = array( 
				'title'   => 'GDPR Templates',
				'target'  => 'content',
				'link'    => 'gdpr/gdpr_template_list.php'
			);
		}
	}
}
$module['nav'][] = array(
	'title' => 'Contracts',
	'open'  => 1,
	'items' => $items
);
unset($items);

if($valid) {
	if($admin || $reseller) {
		if($allow_own) {
			$items[] = array( 'title'  => 'Upload Contract',
				'target'  => 'content',
				'link' => 'gdpr/gdpr_upload_contract.php',
				'html_id' => 'gdpr_upload_contract'
			);
		}
		$module['nav'][] = array(
			'title' => 'Other Contracts',
			'open'  => 1,
			'items' => $items
		);
		unset($items);
	}
}
$items[] = array( 
	'title'   => 'Get Stored Data',
	'target'  => 'content',
	'link'    => 'gdpr/gdpr_stored_data_list.php'
);
$module['nav'][] = array(
	'title' => 'Stored Data',
	'open'  => 1,
	'items' => $items
);
unset($items);

if($admin || $reseller) {
	if($valid) {
		if($allow_own) {
			$items[] = array( 
				'title'   => 'Company',
				'target'  => 'content',
				'link'    => 'gdpr/gdpr_company_list.php'
			);
			$items[] = array( 
				'title'   => 'Email-Templates',
				'target'  => 'content',
				'link'    => 'gdpr/gdpr_email_template_list.php'
			);
		}
	}
	if($admin) {
		$items[] = array( 
			'title'   => 'Global Settings',
			'target'  => 'content',
			'link'    => 'gdpr/gdpr_settings.php?id=1'
		);
	}
	if($allow_own) {
		$module['nav'][] = array(
			'title' => 'Settings',
			'open'  => 1,
			'items' => $items
		);
	}
	unset($items);
}
?>
