<?php

$liste['name']     = 'clients';
$liste['table']    = 'client';
$liste['table_idx']   = 'client_id';
$liste['additional_tables'] = 'gdpr_client_settings';
$liste['join_sql'] = 'client.client_id = gdpr_client_settings.client_id';
$liste['search_prefix']  = 'search_';
$liste['records_per_page']  = 15;
$liste['file']    = 'client_list.php';
$liste['edit_file']   = 'client_edit.php';
$liste['delete_file']  = 'client_del.php';
$liste['paging_tpl']  = 'templates/paging.tpl.htm';
$liste['auth']    = 'yes';

$liste['item'][] = array( 'field'  => 'client_id',
	'datatype' => 'INTEGER',
	'formtype' => 'TEXT',
	'op'  => '=',
	'prefix' => '',
	'suffix' => '',
	'width'  => '',
	'value'  => '',
	'table'  => 'client');

$liste['item'][] = array( 'field'  => 'company_name',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op'  => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width'  => '',
	'value'  => '',
	'table'  => 'client');

$liste['item'][] = array( 'field'  => 'contact_name',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op'  => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width'  => '',
	'value'  => '',
	'table'  => 'client');

$liste['item'][] = array(   'field'     => 'customer_no',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value' => '',
	'table' => 'client');

$liste['item'][] = array(   'field'     => 'username',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op' => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width' => '',
	'value' => '',
	'table' => 'client');

$liste['item'][] = array( 'field'  => 'city',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op'  => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width'  => '',
	'value'  => '',
	'table'  => 'client');

$liste['item'][] = array(   'field'     => 'country',
	'datatype' => 'VARCHAR',
	'formtype' => 'SELECT',
	'op' => '=',
	'prefix' => '',
	'suffix' => '',
	'datasource'=> array (  'type'          => 'SQL',
		'querystring'   => 'SELECT iso,printable_name FROM country ORDER BY iso ASC',
		'keyfield'      => 'iso',
		'valuefield'    => 'printable_name'
	),
	'width' => '',
	'value' => '',
	'table' => 'client');

?>
