<?php

$liste['name']     = 'gdpr_email_templates';
$liste['table']    = 'gdpr_email_templates';
$liste['table_idx']   = 'gdpr_email_template_id';
$liste['search_prefix']  = 'search_';
$liste['records_per_page']  = 15;
$liste['file']    = 'gdpr_email_template_list.php';
$liste['edit_file']   = 'gdpr_email_template_edit.php';
$liste['delete_file']  = 'gdpr_email_template_del.php';
$liste['paging_tpl']  = 'templates/paging.tpl.htm';
$liste['auth']    = 'yes';

$liste['item'][] = array( 
	'field'  => 'gdpr_email_template_id',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op'  => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width'  => '',
	'value'  => ''
);
$liste['item'][] = array( 
	'field'  => "sys_groupid",
		'datatype' => "INTEGER",
		'formtype' => "SELECT",
		'op'  => "=",
		'prefix' => "",
		'suffix' => "",
		'datasource' => array (  'type' => 'SQL',
			'querystring' =>  "SELECT sys_group.groupid, CONCAT(IF(client.company_name != '', CONCAT(client.company_name, ' :: '), ''), client.contact_name) as name FROM sys_group, client WHERE sys_group.groupid != 1 AND sys_group.client_id = client.client_id AND groupid in (SELECT `sys_groupid` FROM gdpr_templates) ORDER BY company_name,contact_name",
			'keyfield'=> 'groupid',
			'valuefield'=> 'name'
		),
		'width'  => "",
		'value'  => ""
	);

$liste['item'][] = array( 
	'field'  => 'company_id',
	'datatype' => 'INTEGER',
	'formtype' => 'SELECT',
	'op' => '=',
	'prefix' => '',
	'suffix' => '',
	'datasource'=> array ('type' => 'SQL',
		'querystring' => "SELECT gdpr_company_id, company_short FROM gdpr_company",
		'keyfield'		=> 'gdpr_company_id',
		'valuefield'	=> 'company_short'
	),
	'width' => ''
);

$liste['item'][] = array( 
	'field'  => 'description',
	'datatype' => 'VARCHAR',
	'formtype' => 'TEXT',
	'op'  => 'like',
	'prefix' => '%',
	'suffix' => '%',
	'width'  => '',
	'value'  => ''
);

$liste['item'][] = array(
	'field'  => 'lng',
	'datatype' => 'VARCHAR',
	'formtype' => 'SELECT',
	'op' => '=',
	'prefix' => '',
	'suffix' => '',
	'width' => '',
	'value' => '',
	'datasource'=> array ('type' => 'SQL',
		'querystring'	=> 'SELECT iso,printable_name FROM country ORDER BY iso ASC',
		'keyfield'		=> 'iso',
		'valuefield'	=> 'printable_name'
	),
);

$liste['item'][] = array( 
	'field'  => 'master',
	'datatype' => 'VARCHAR',
	'formtype' => 'SELECT',
	'op'  => '=',
	'prefix' => '',
	'suffix' => '',
	'width'  => '',
	'value'  => array('y' => 'yes', 'n' => 'no'));

?>
