<?php
/*
  This file contains various parameters for the gdpr.
  If you want to change thes evalues, make a copy of this file named
  gdpr-custom.conf.php and change the values inside that file.
*/

$gdpr_conf = array();

//* Fonts
$gdpr_conf['font_name'] = 'DejaVuSansCondensed';
$gdpr_conf['font_normal_file'] = 'DejaVuSansCondensed.ttf';
$gdpr_conf['font_bold_file'] = 'DejaVuSansCondensed-Bold.ttf';

$gdpr_conf['font_size'] = '10';
$gdpr_conf['font_size_h1'] = '20';
$gdpr_conf['font_size_h2'] = '16';

//* Parameters for gdpr details
$gdpr_conf['gdpr_details_fill_color'] = 0; // 220 = light grey
$gdpr_conf['gdpr_details_fill_background'] = 0;  // Values: 0/1

//* Parameters for address details
$gdpr_conf['gdpr_adressbox_head_border'] = 'B';
$gdpr_conf['gdpr_adressbox_border'] = '0';

//* Set widths and aligns of gdpr item columns
$gdpr_conf['gdpr_column_widths'] = '60,120';
$gdpr_conf['gdpr_column_aligns'] = 'L,L';

//* Watermark-Settings
$gdpr_conf['center_watermark'] = true;
$gdpr_conf['repeat_watermark'] = false;
$gdpr_conf['watermark_colour'] = '200';

//* Logo-Settings
$gdpr_conf['max_logo_width'] = 300;
$gdpr_conf['max_logo_height'] = 100;

//* Signature-Settings
$gdpr_conf['max_signature_width'] = 200; // 0 for original size
$gdpr_conf['max_signature_height'] = 200; // 0 for original size
?>
